memusagestat(1)

BEZEICHNUNG
memusagestat - Graphiken aus Speicherprofildaten erstellen

ÜBERSICHT
memusagestat [Option]… Datendatei [Ausgabedatei]

BESCHREIBUNG
memusagestat erstellt eine PNG-Datei, die eine graphische Darstellung der Speicherprofildaten in der Datei Datendatei enthält. Diese Datei wird mit der Option -d (oder --data) von memusage(1) erstellt.

Die rote Linie in der Graphik zeigt die Verwendung des Heaps (reservierter Speicher) und die grüne Linie zeigt die Verwendung des Stapels. Die X-Achse beschreibt entweder die Anzahl der Speicher-verwaltenden Funktionsaufrufe oder (falls die Option -t angegeben ist) die Zeit.

OPTIONEN

-o Datei, --output=Datei
    Name der Ausgabedatei.

-s Zeichenkette, --string=Zeichenkette
    Verwendet Zeichenkette innerhalb des Ausgabegraphen als Titel.

-t, --time
    Verwendet die Zeit (anstelle der Anzahl der Funktionsaufrufe) als Skala für die X-Achse.

-T, --total
    Zeichnet auch einen Graphen des Gesamtspeicherverbrauchs.

-x Größe, --x-size=Größe
    Stellt die Breite des Ausgabegraphen auf Größe Pixel.

-y Größe, --y-size=Größe
    Stellt die Höhe des Ausgabegraphen auf Größe Pixel.

-?, --help
    Hilfe ausgeben und beenden.

--usage
    Gibt eine kurze Zusammenfassung zur Verwendung aus und beendet das Programm.

-V, --version
    Gibt Versionsinformationen aus und beendet das Programm.

FEHLER
Um Fehler (auf Englisch) zu melden, siehe http://www.gnu.org/software/libc/bugs.html

BEISPIELE
Siehe memusage(1).

SIEHE AUCH
memusage(1), mtrace(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.